{
  "version": "1.0.0-alpha.7",
  "author": "Community for NL Design System",
  "description": "Design system based on the NL Design System architecture",
  "license": "EUPL-1.2",
  "name": "@persoonlijke-regelingen-assistent/design-system",
  "keywords": [
    "nl-design-system"
  ],
  "engines": {
    "node": "^20",
    "pnpm": "^8"
  },
  "workspaces": [
    "./packages/*",
    "./proprietary/*"
  ],
  "devDependencies": {
    "@lerna-lite/cli": "3.2.1",
    "@lerna-lite/publish": "3.2.1",
    "@lerna-lite/run": "3.2.1",
    "@lerna-lite/version": "3.2.1",
    "@types/node": "20.11.19",
    "@typescript-eslint/eslint-plugin": "7.0.1",
    "@typescript-eslint/parser": "7.0.1",
    "eslint": "8.56.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-plugin-import": "2.29.1",
    "eslint-plugin-json": "3.1.0",
    "eslint-plugin-mdx": "3.1.5",
    "eslint-plugin-react": "7.33.2",
    "html-validate": "8.9.1",
    "husky": "9.0.11",
    "lint-staged": "15.2.2",
    "markdownlint-cli": "0.39.0",
    "npm-check-updates": "16.14.15",
    "npm-package-json-lint": "7.1.0",
    "npm-run-all": "4.1.5",
    "postcss": "8.4.35",
    "prettier": "3.2.5",
    "stylelint": "16.2.1",
    "stylelint-config-prettier": "9.0.5",
    "stylelint-config-standard-scss": "13.0.0",
    "stylelint-order": "6.0.4",
    "typescript": "5.3.3"
  },
  "scripts": {
    "build": "lerna run build",
    "build:assets": "npm run --workspace proprietary/assets build",
    "build:storybook": "npm run --workspace packages/storybook build",
    "build:components-react": "npm run --workspace packages/components-react build",
    "build:design-tokens": "npm run --workspace proprietary/design-tokens build",
    "clean": "lerna run clean",
    "lint": "npm-run-all --continue-on-error lint:** lint-workspaces",
    "lint:css": "stylelint --allow-empty-input '**/*.{css,scss}'",
    "lint:js": "eslint --ext .js,.cjs,.json,.jsx,.mdx,.ts,.tsx --report-unused-disable-directives .",
    "lint:md": "markdownlint '**/*.md'",
    "lint:package-json": "npmPkgJsonLint '**/package.json'",
    "lint:package-lock": "pnpm ls --recursive",
    "lint-fix": "npm-run-all --continue-on-error lint-fix:** prettier",
    "lint-fix:css": "stylelint --fix '**/*.{css,scss}'",
    "lint-fix:js": "eslint --ext .js,.cjs,.json,.jsx,.mdx,.ts,.tsx --fix --report-unused-disable-directives .",
    "lint-fix:md": "markdownlint --fix '**/*.md'",
    "lint-workspaces": "lerna run --no-bail lint",
    "lint-build": "lerna run --no-bail lint-build",
    "prepare": "husky",
    "prettier": "prettier --write .",
    "publish": "lerna publish from-package --yes",
    "release": "lerna version prerelease --conventional-prerelease --no-changelog --no-private --yes",
    "start": "node_modules/http-server/bin packages/storybook/dist/",
    "storybook": "npm-run-all --parallel watch:**",
    "test": "npm run test-workspaces",
    "test-update": "npm-run-all --sequential clean build lint test",
    "test-workspaces": "lerna run --no-bail test",
    "test-storybook": "npm run --workspace packages/storybook test-storybook",
    "prewatch:storybook": "lerna run build:style-dictionary",
    "update-patch": "npm-check-updates --configFileName .ncurc.patch.cjs --deep --dep dev,prod --target patch --upgrade && pnpm install",
    "update-minor": "npm-check-updates --configFileName .ncurc.minor.cjs --deep --dep dev,prod --target minor --upgrade && pnpm install",
    "update-major": "npm-check-updates --configFileName .ncurc.major.cjs --deep --dep dev,prod --target latest --upgrade && pnpm install",
    "watch:storybook": "npm run --workspace packages/storybook storybook",
    "watch:style-dictionary": "lerna run watch:style-dictionary"
  },
  "dependencies": {
    "@babel/runtime": "7.23.9",
    "http-server": "14.1.1"
  }
}
